Name:           uriparser
Version:        0.8.4
Release:        1
Summary:        URI parsing library - RFC 3986
Group:          System Environment/Libraries
License:        BSD
URL:            http://%{name}.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	graphviz >= 2.26.3-2

%description
Uriparser is a strictly RFC 3986 compliant URI parsing library written
in C. uriparser is cross-platform, fast, supports Unicode and is
licensed under the New BSD license.


%package	devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0
sed -i 's/\r//' THANKS
sed -i 's/\r//' COPYING


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="cc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --disable-test \
    --disable-doc
make %{?_smp_mflags}

cp .libs/liburiparser.so.1 .
make distclean

# now build the 32-bit version
export CC="cc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --disable-test \
    --disable-doc
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q .libs/liburiparser.a ./liburiparser.so.1

# build the documentation
cd doc
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make prefix=${RPM_BUILD_ROOT}%{_prefix} install

( 
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc THANKS AUTHORS COPYING ChangeLog
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%doc doc/html/
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
/usr/include/*
/usr/lib/*.la


%changelog
* Mon Dec 28 2015 Michael Perzl <michael@perzl.org> - 0.8.4-1
- updated to version 0.8.4

* Mon Dec 28 2015 Michael Perzl <michael@perzl.org> - 0.8.3-1
- updated to version 0.8.3

* Mon Dec 28 2015 Michael Perzl <michael@perzl.org> - 0.8.2-1
- updated to version 0.8.2

* Fri Nov 07 2014 Michael Perzl <michael@perzl.org> - 0.8.1-1
- updated to version 0.8.1

* Fri Aug 15 2014 Michael Perzl <michael@perzl.org> - 0.8.0.1-1
- updated to version 0.8.0.1

* Thu Mar 27 2014 Michael Perzl <michael@perzl.org> - 0.8.0-1
- updated to version 0.8.0

* Thu Mar 27 2014 Michael Perzl <michael@perzl.org> - 0.7.9-1
- updated to version 0.7.9

* Mon Jun 24 2012 Michael Perzl <michael@perzl.org> - 0.7.8-1
- updated to version 0.7.8

* Tue Jun 12 2012 Michael Perzl <michael@perzl.org> - 0.7.7-1
- updated to version 0.7.7

* Tue Apr 26 2011 Michael Perzl <michael@perzl.org> - 0.7.5-2
- added missing pkg-config file

* Mon Nov 22 2010 Michael Perzl <michael@perzl.org> - 0.7.5-1
- updated to version 0.7.5

* Tue Dec 30 2008 Michael Perzl <michael@perzl.org> - 0.7.4-1
- first version for AIX V5.1 and higher
